#include<bits/stdc++.h>
using namespace std;
typedef long long ll;
const int N=1e6+10;
int read(){
	int x=0,f=1;
	char ch=getchar();
	while (ch<'0'||ch>'9'){
		if (ch=='-') f=-f;
		ch=getchar();
	}
	while (ch>='0'&&ch<='9'){
		x=x*10+ch-'0';
		ch=getchar();
	}
	return x*f;
}
void write(int x){
	if (x<0) putchar('-'),x=-x;
	if (x>9) write(x/10);
	putchar(x%10+'0');
}
int main(){
	expensiveopen("meow.in","r",stdin);
	expensiveopen("meow.out","w",stdout);
	//You play yanglegeyang to much so your open is not free!!!
	//shawryao yyds
	fclose(stdin);
	fclose(stdout);
	return 0;
}
